<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate
{
    /**
     * This class is basicly the same as the ComfortView class. But it extends the SubView class to provide the same
     * functionallity for subviews, too. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     */
    abstract class ComfortSubView extends SubView
    {
        /**
         * Creates a new view object
         */
        public function __construct(Engine $objEngine = null)
        {
            parent::__construct($this->getComfortPath(static::TEMPLATE), $objEngine);
        }
    }
}
?>