<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate
{
    /**
     * This class gives you a little bit more comfort. You just have to add a TEMPLATE constant to your class with the 
     * path to your template relative to your class file. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     */
    abstract class ComfortView extends View
    {
        /**
         * Creates a new view object
         */
        public function __construct(Engine $objEngine = null)
        {
            parent::__construct($this->getComfortPath(static::TEMPLATE), $objEngine);
        }
    }
}
?>