<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Core\Exceptions
{
    /**
     * This is the base exception of all engine exceptions. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     */
    abstract class Exception extends \Exception
    {
        /**
         * You can either pass an error message or another exception object to the constructor
         * 
         * @param       mixed               $varError 
         */
        public function __construct($varError)
        {
            if ($varError instanceof \Exception)
            {
                parent::__construct($varError->getMessage());
            }
            else
            {
                parent::__construct($varError);
            }
        }
    }
}
?>