<?php
namespace XTemplate
{
    /**
     * This class is a storage for subviews. 
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @version     $Id$ 
     */
    class SubViewStorage extends \SplObjectStorage
    {
        /**
         * Adds a new subview to the storage
         * 
         * @param       XTemplate\SubView       $objAttach
         * @param       mixed                   $varData
         * @throws      InvalidArgumentException
         */
        public function attach($objAttach, $varData = null)
        {
            if (!$objAttach instanceof SubView)
            {
                throw new \InvalidArgumentException("SubViewStorage only accepts instances of XTemplate\SubView.");
            }
            parent::attach($objAttach, $varData);
        }
    }
}   
?>