<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\Test\TestCase;
    use \XTemplate\Test\Test;
    
    require_once "../../Test.php";
    require_once "../../TestCase.php";
    require_once "../../Exceptions/TestException.php";
    
    /**
     * Testcase for the class selector
     * 
     * TESTCASE 0006
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class Case0006 extends TestCase
    {
        /**
         * Performs the test
         * 
         * @return      bool
         */
        protected function performTest()
        {
            return $this->performResultTest();
        }
    }
    
    new Case0006;
}    
?>