<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0007
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0007 extends View
    {
        protected function _render()
        {
            $this["div.test1"] = "foo";
            $this["span.test1"] = "foo2";
            $this["td.test2"] = "bar";
            $this["td.test3 span"] = "foobar";
        }
    }
    
    $objView = new TestView0007(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->render();
    echo $objView;
}
?>
