<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0009
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0009 extends View
    {
        protected function _render()
        {
            $this["*[width='100']"] = "foo";
            $this["*[class~='test']"] = "bar";
            $this["div[class~='test2']"] = "foobar2";
            $this["td[name='name2']"] = "foobar3";
            $this["*[name='name1'] span"] = "foobar4";
            $this["*[class='span']"] = "foobar5";
            $this["%spans span[name!='foo']"] = "foo1";
            $this["%spans span[name*='foo']"] = "foo2";
            $this["%spans span[name^='bar']"] = "foo3";
            $this["%spans span[name$='afo']"] = "foo4";
            $this["div button:first-child"]->addClass("first");
            $this["div button:last-child"]->addClass("last");
        }
    }
    
    $objView = new TestView0009(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->render();
    echo $objView;
}
?>
