<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\SubView;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0016
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0016 extends SubView
    {
        protected function _render()
        {
            $this["div.count"] = (string) count($this["div, h1, span, h3, p"]);
        }
    }
    
    $objView = new TestView0016(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>
