<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0017
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0017 extends View
    {
        protected function _render()
        {
            $this["div + span"]->addClass("child2");
            $this["div > span"]->addClass("child");
            $this["div ~ span"]->addClass("child3");
            $this[".foo > %bar"]->addClass("child4");
        }
    }
    
    $objView = new TestView0017(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>
