<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0018
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0018 extends View
    {
        protected function _render()
        {
            $this["div *:nth-child(1)"]->addClass("class1");
            $this["div :nth-child(2)"]->addClass("class2");
            $this["div span:nth-last-child(3)"]->addClass("class3");
            $this["div span:only-child"]->addClass("class4");
            $this["div span:empty"]->addClass("class5");
            $this["*:disabled"]->addClass("class6");
            $this["*:checked"]->addClass("class7");
            $this["div span:nth-of-type(2)"]->addClass("class8");
            $this["div span:nth-last-of-type(2)"]->addClass("class9");
        }
    }
    
    $objView = new TestView0018(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>
