<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0019
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0019 extends View
    {
        protected function _render()
        {
            $this["div + span"]->callback(new FuncWrapper(function ($objNode) {
                $objNode->addClass("child2");
            }));
            $this["div > span"]->callback(new FuncWrapper(function ($objNode) {
                $objNode->addClass("child");
            }));
            $this["div ~ span"]->callback(new FuncWrapper(function ($objNode) {
                $objNode->addClass("child3");
            }));
            $this[".foo > %bar"]->callback(new FuncWrapper(function ($objNode) {
                $objNode->addClass("child4");
            }));
        }
    }
    
    $objView = new TestView0019(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>
