<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\SubView;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0021
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0021 extends View
    {
        protected function _render() {}
    }
    
    /**
     * TESTCASE 0021
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestSubView0021 extends SubView
    {
        protected function _render() {}
    }
    
    $objView = new TestView0021(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->assignSubView("sub", new TestSubView0021(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test2.xml"));
    echo $objView;
}
?>