<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\SubView;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0022
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0022 extends View
    {
        protected function _render()
        {
            for ($i = 0; $i < 10; $i++)
            {
                $objSection = $this->getSectionClone("with_sub");
                $objSection->assignSubView("sub", new TestView0022_2(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test2.xml"));
            }
        }
    }
    class TestView0022_2 extends SubView
    {
        protected function _render(){}
    }
    
    $objView = new TestView0022(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>