<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * This is the view class for the getting started tutorial. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class View extends XTemplate\ComfortView
    {
        const TEMPLATE = "template.html";
        
        /**
         * Render the template
         */
        protected function _render()
        {
            // Access the div element via CSS selector ".hello-world"
            $this[".hello-world"] = "Hello World!";
        }
    }
?>