<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the view class
    require_once "example2.php";
    
    // Create new view instances
    $objView1 = new Example2("template.html");
    $objView2 = new Example2("template2.html");
    
    // Render the template explicitly
    try
    {
        // Render the view
        $objView1->render();
        // Print the result of the rendered template
        echo $objView1;
    }
    catch (XTemplate\Exceptions\RenderException $objException)
    {
        echo "View1 could not be rendered<br />";
    }
    
    try
    {
        // Render the view
        $objView2->render();
        // Print the result of the rendered template
        echo $objView2;
    }
    catch (XTemplate\Exceptions\RenderException $objException)
    {
        echo "View2 could not be rendered<br />";
    }
?>