<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    /**
     * A simple model class
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class NewsModel
    {
        /**
         * The date when the news was created in UNIX timestamp
         * @var string
         */
        public $date = 0;
        /**
         * The title of the news
         * @var string
         */
        public $title = "";
        /**
         * The subtitle of the news
         * @var string
         */
        public $subTitle = "";
        /**
         * The content text of the news
         * @var string
         */
        public $content = "";
    }
?>