<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * @ignore
     */
    
    require_once "../../../Engine.php";
    
    /**
     * This post rendering parser removes all xid attributes from the rendered template. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class MyParser extends XTemplate\Parsers\Base
    {
        /**
         * Removes the XID attributes
         * 
         * @throws      XTemplate\Exceptions\ParsingException
         */
        protected function parse()
        {
            // Display "Hello World" in the first h1 node of every template
            $this->objTemplate->getElementsByTagName("h1")->item(0)->nodeValue = "Hello World";
        }
    }
?>