<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple class to demonstrate how to use models.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class View1 extends XTemplate\ComfortView
    {
        const TEMPLATE = "template.html";
        
        /**
         * Render the template and the sections
         */
        protected function _render()
        {
            $objConfig = $this->getEngineInstance()->getConfig();
            $this["p"] = $objConfig["foo"]["bar"];
        }
    }
?>