<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * This class demonstrates how to attach subviews to certain elements. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class View extends XTemplate\ComfortView
    {
        const TEMPLATE = "template2.html";
        
        protected function _render()
        {
            // Use the method with a selector string
            $this->attachSubViews("#content", "content");
            
            // Use the method with any instance of Interfaces/NodeEdit
            $this->attachSubViews($this["#content"], "content");
            
            $arrElements = $this->getElementsByTagName("div");
            $this->attachSubViews($arrElements[0], "content");
        }
    }
?>