<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * This is the plug-in view which is the result of the rendered plug-in and shall be inserted into the main template
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class Plugin extends XTemplate\ComfortSubView
    {
        const TEMPLATE = "plugin.html";
        
        protected function _render()
        {
            $this["%headline"] = $this->getDatas("headline");
            $this["%content"]  = $this->getDatas("content");
        }
        
        protected function defineModelInterface()
        {
            $this->defModel("headline", "string", "No headline");
            $this->defModel("content", "string", "No content");
        }
    }
?>