@ECHO OFF
REM x:template - PHP based template engine
REM Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
REM 
REM Released under the GPL License.
REM
REM
REM Testsuite to be executed in the shell
REM Author: Tobias Pohlen
REM Version: $Id$ 
REM Package: xtemplate.test
REM

echo x:template - PHP based template engine
echo Copyright (c) 2011 - 2012 by Tobias Pohlen tobias.pohlen@xtemplate.net
echo.
echo Released under the GPL License.
echo Visit: http://xtemplate.net/
echo =================================================================
echo x:template v0.4 test suite
 
REM Define the testcase directory
set TEST_CASES=Test\Cases\*
set EMPTY=

REM Counter for the result
set DONE=0
set FAILED=0

echo.
echo Your PHP version
php -v

echo Tests are being performed...
echo.
echo =================================================================
echo.

REM iterate over the cases
for /d %%f in (%TEST_CASES%) do (
    REM Jump to the case folder
    cd %%f

    set /a DONE=DONE + 1 
	
    REM Output the name of the test
    
	FOR /F "tokens=1 delims=" %%A in ('php -f index.php') do SET RESULT=%%A
	
	if "%RESULT%" == "true" (
		echo %%f: completed
	) else (
		set /a FAILED = FAILED + 1
		echo %%f: failed
	)
	
    REM Jump back
    cd ..\..\..\
)

echo.
echo =================================================================
echo.
echo Tests done: %DONE%
echo Tests failed: %FAILED%
