<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Core
{
    /**
     * This static class contains all classnames of the engine as string. 
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     */
    class Classes
    {
        const CORE_ENGINE = "XTemplate\Core\Engine";
        const CORE_CONFIG = "XTemplate\Core\Config";
        const CORE_ENGINEPARTIMPL = "XTemplate\Core\EnginePartImpl";
        const CORE_XML = "XTemplate\Core\XML";
        const CORE_PARAMS = "XTemplate\Core\Params";
        
        const CORE_EXCEPTIONS_COREEXCEPTION = "XTemplate\Core\Exceptions\CoreException";
        const CORE_EXCEPTIONS_EXCEPTION = "XTemplate\Core\Exceptions\Exception";
        const CORE_EXCEPTIONS_INITEXCEPTION = "XTemplate\Core\Exceptions\InitException";
        
        const CORE_INTERFACES_ENGINEPART = "XTemplate\Core\Interfaces\EnginePart";
        
        const SECTION       = "XTemplate\Section";
        const DOM_XPATH     = "DOMXPath";
        const ELEMENTLIST   = "XTemplate\ElementList";
        
        const PATH_SELECTOR_BASE = "XTemplate\Selectors\PathSelectorBase";
        const ATTR_SELECTOR_BASE = "XTemplate\Selectors\AttributeSelectorBase";
        const CONJ_SELECTOR_BASE = "XTemplate\Selectors\ConjunctionSelectorBase";
    }
}
?>