<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0002
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0002 extends View
    {
        protected function _render()
        {
            for ($i = 0; $i < 10; $i++)
            {
                $objHeaderSection = $this->getSectionClone("header");
                for ($j = 0; $j < 10; $j++)
                {
                    $objHeaderSection->getSectionClone("teaser");
                }
                $this->getSectionClone("content");
                $this->getSectionClone("footer");
            }
        }
    }
    
    $objView = new TestView0002(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->render();
    echo $objView;
}
?>
