<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\Test\TestCase;
    use \XTemplate\Test\Test;
    
    require_once "../../Test.php";
    require_once "../../TestCase.php";
    require_once "../../Exceptions/TestException.php";
    
    /**
     * Testcase to see what happens incase a not declared section is accessed
     * 
     * TESTCASE 0004
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class Case0004 extends TestCase
    {
        /**
         * Performs the test
         * 
         * @return      bool
         */
        protected function performTest()
        {
            try
            {
                // Load the testfile
                $this->loadTestFile();
            }
            catch (\OutOfRangeException $e)
            {
                return true;
            }
            
            return false;
        }
    }
    
    new Case0004;
}    
?>