<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0011
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0011 extends View
    {
        protected function _render()
        {
            $this["form[name='test1'] input[name='model1[name]']"]->setAttribute("value", "name");
            $this["form[name='test1'] input[name='model1[title]']"]->setAttribute("value", "title");
            $this["form[name='test2'] input[name='model1[name]']"]->setAttribute("value", "name2");
            $this["form[name='test2'] input[name='model1[title]']"]->setAttribute("value", "title2");
        }
    }
    
    $objView = new TestView0011(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->render();
    echo $objView;
}
?>
