<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0012
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0012 extends View
    {
        protected function _render()
        {
            $this["div"]->remove();
            $this["%foo"]->remove();
            $this["span%bar"]->remove();
        }
    }
    
    $objView = new TestView0012(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    $objView->render();
    echo $objView;
}
?>
