<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0020
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0020 extends View
    {
        protected function _render()
        {
            $this["%test1"]->appendBefore($this["%test3"][0]);
        }
    }
    
    $objView = new TestView0020(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    echo $objView;
}
?>
