<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\View;
    use \XTemplate\SubView;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0023
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0023 extends View
    {
        protected function _render()
        {
            $this->attachSubViews("#content", "content");
        }
    }
    class TestView0023_2 extends SubView
    {
        protected function _render(){}
    }
    
    $objView = new TestView0023(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test.xml");
    
    for ($i = 0; $i < 10; $i++)
    {
        $objView->assignSubView("content", new TestView0023_2(dirname(__FILE__) . Test::PATH_SEPARATOR .  "test2.xml"));
    }
    
    echo $objView;
}
?>