<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\ComfortView;
    use \XTemplate\Test\Test;
    use \XTemplate\FuncWrapper;
    
    /**
     * TESTCASE 0026
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate.test
     * @ignore
     */
    class TestView0026 extends ComfortView
    {
        const TEMPLATE = "test.xml";
        
        protected function _render() {
            $this["p"]->appendXML("<a></a>");
            $this["a"]->setAttribute("href", "test")->setContent("test");
        }
    }
    
    $objView = new TestView0026();
    echo $objView;
}
?>