<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\UnitTests\DummyClasses
{
    use \XTemplate\Engine;
    
    /**
     * This is a dummy parser which allows access to some protected methods to test them.
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @version     $Id$ 
     * @ignore
     */
    class DummyParser extends \XTemplate\Selectors\Parser
    {
        /**
         * Makes the getOperators method public 
         */ 
        public static function getOperators(array $arrDefinitions)
        {
            return parent::getOperators($arrDefinitions);
        }
        
        /**
         * Makes the createSelectorInstance method public 
         */
        public function createSelectorInstance(array &$arrStorage, $strOperator, $strClassName)
        {
            return parent::createSelectorInstance($arrStorage, $strOperator, $strClassName);
        }
        
        
        /**
         * Makes the parseTagName method public
         */
        public function parseTagName($strTagName, $strLastConjunction, \XTemplate\Selectors\SelectorModel $objModel)
        {
            return parent::parseTagName($strTagName, $strLastConjunction, $objModel);
        }
        
        /**
         * Makes the method public 
         */
        public function parsePathSelectors ($strPathSelectors, \XTemplate\Selectors\SelectorModel $objModel)
        {
            return parent::parsePathSelectors ($strPathSelectors, $objModel);
        }
        
        /**
         * Makes the method public 
         */
        public function parseAttributeSelectors($strAttribute, \XTemplate\Selectors\SelectorModel $objModel)
        {
            return parent::parseAttributeSelectors($strAttribute, $objModel);
        }
        
        /**
         * Makes the method public 
         */
        public function createXPath($strSelector)
        {
            return parent::createXPath($strSelector);
        }
    }
}
?>