<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
?>
<!doctype html>
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title>x:template - Test suite</title>
    <meta name="description" content="x:template - A professionally designed PHP based template engine.">
    <meta name="author" content="Tobias Pohlen">

    <meta name="viewport" content="width=device-width,initial-scale=1">

    <link rel="stylesheet" href="css/test.css">
    <link rel="stylesheet" type="text/css" href="css/jquery-ui-1.8.16.custom.css" media="screen"/>

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.8.18/jquery-ui.min.js" type="text/javascript"></script>
    
    <script type="text/javascript" src="js/test.js"></script>
</head>

<body>

  <div id="container">
    <header>
        <div class="top_bar">
            <div class="container">
                <span class="version">xtemplate 0.5.3</span>
                <ul id="topmenu">
                    <li><a href="http://xtemplate.net/">Website</a></li>
                    <li class="active"><a href="../Test">Test suite</a></li>
                    <li><a href="http://hg.xtemplate.net/xtemplate">Repository</a></li>
                    <li><a href="../Tutorial">Tutorial</a></li>
                </ul>
                <div class="clearfix"></div>
            </div>
        </div>
        <div class="header no-teaser">
            <div class="container">
                <img src="img/xtemplate_logo.png" alt="x:template" id="logo" />
            </div>
        </div>
    </header>
    <div id="main" class="no-teaser" role="main">
        <div  class="container">
            <div class="content">
            <div id="boxes">
                <div class="box">
                    <p style="text-align: center">
                        <a href="#" id="start" class="clean-gray">Start</a>
                    </p>
                </div>
            </div>
            </div>
            <div class="border"></div>
            <div class="sidebar">
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <footer>
        <div class="footer">
            <div class="container">
                <p>
                    x:template - PHP based template engine
                    Copyright (c) 2011 - 2012 by Tobias Pohlen tobias.pohlen@xtemplate.net
                </p>
                <p>
                    Released under the GPL License.
                </p>
            </div>
        </div>
    </footer>
  </div> <!--! end of #container -->


  <!--[if lt IE 7 ]>
    <script src="//ajax.googleapis.com/ajax/libs/chrome-frame/1.0.3/CFInstall.min.js"></script>
    <script>window.attachEvent('onload',function(){CFInstall.check({mode:'overlay'})})</script>
  <![endif]-->
  
</body>
</html>
