<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the view class
    require_once "view.php";
    
    // Create a new instance of the view class
    $objView = new View;
    
    // Render the view
    try 
    {
        $objView->render();
    }
    catch (XTemplate\Exceptions\RenderException $objException)
    {
        die ("The view could not be rendered: ". $objException->getMessage());
    }
    
    // Create the output
    echo $objView;
?>