<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the model & view classes
    require_once "view.php";
    require_once "model.php";
    
    // Create the model
    $objModel = new NewsModel;
    $objModel->title = "Testnews";
    $objModel->subTitle = "Showing you how x:template works";
    $objModel->date = time();
    $objModel->content = "Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet.";
    
    // Create the view an assign the model
    $objView = new View;
    $objView->assign("news", $objModel);
    
    // Render the view
    echo $objView;
?>