<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple class to demonstrate how to use models.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class ViewWithMI extends XTemplate\ComfortView
    {
        /**
         * Define the model interface
         */
        protected function defineModelInterface()
        {
            //             Modelname       Modeltype      Default value
            // Classname
            $this->defModel("news"       , "NewsModel");
            // String with default value
            $this->defModel("title"      , "string"      , "Default Title");
            // Integer with default value
            $this->defModel("date"       , "integer"     , time());
            // Boolean with default value
            $this->defModel("showHeader" , "boolean"     , true);
            // Array with default value
            $this->defModel("newsEntries", "array"       , array());
        }
        
        const TEMPLATE = "template.html";
        protected function _render() {}
    }
?>