<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the model & view classes
    require_once "view.php";
    
    // Create the view
    $objView = new View;
    
    // Assign the news datas
    $objView->assign("news", array(
            array(
                View::TITLE => "Title1", 
                View::DATE => date("d.m.Y"), 
                View::CONTENT => "Lorem ipsum dolor sit amet...", 
                View::URL => "http://google.com/"
            ),
            array(
                View::TITLE => "Title2", 
                View::DATE => date("d.m.Y"), 
                View::CONTENT => "Lorem ipsum dolor sit amet...", 
                View::URL => "http://google.com/"
            ),
            array(
                View::TITLE => "Title3", 
                View::DATE => date("d.m.Y"), 
                View::CONTENT => "Lorem ipsum dolor sit amet...", 
                View::URL => "http://google.com/"
            ),
            array(
                View::TITLE => "Title4", 
                View::DATE => date("d.m.Y"), 
                View::CONTENT => "Lorem ipsum dolor sit amet...", 
                View::URL => "http://google.com/"
            ),
    ));
    
    // Render the view
    echo $objView;
?>