<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    require 'Main.php';
    require 'Plugin.php';
    
    // Create the main view instance
    $objMain = new Main;
    
    // Use some random datas
    $arrDatas = array(
        array("Demo headline 1", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor."),
        array("Demo headline 2", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor."),
        array("Demo headline 3", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor."),
    );
    
    foreach ($arrDatas as $arrCurrentData)
    {
        // Create the subview instace
        $objSubView = new Plugin;
        $objSubView->assign("headline", $arrCurrentData[0])->assign("content", $arrCurrentData[1]);
        
        // Assign the subview to the main view
        $objMain->assignSubView("sidebar", $objSubView);
    }
    
    // Create the main content
    $objSubView = new Plugin;
    $objSubView ->assign("headline", "This is the main content")
                ->assign("content", "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor.");
    
    $objMain->assignSubView("content", $objSubView);
    
    // Render the template
    echo $objMain;
?>